- Aldebaran documentation |
- C++ Libraries |
- index

libqipackage 2.8.7.4

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Macros Pages
Public Member Functions | Public Attributes | List of all members
qi::PackageInfo Class Reference

A class that represents a package. More...

`#include <package_info.hpp>`

## Public Member Functions
| PackageInfo ()
| PackageInfo (const PackageInfo &package)
| PackageInfo (const PackageInfo2 &package)
| ~PackageInfo ()
PackageInfo | operator= (const PackageInfo &package)
| PackageInfo (const AL::ALValue &alvalue)
void | toALValue (AL::ALValue &alvalue)
bool | loadFromManifestFile (const std::string &filePath)
bool | loadFromManifestFile (QFile &file)
bool | loadFromManifestContent (const std::string &manifestContent)
void | trimExtraInfo ()
bool | saveToManifestFile (const std::string &filePath) const
bool | saveToManifestFile (QFile &file) const
std::string | saveToManifestContent () const
const std::string & | installer () const
void | setInstaller (const std::string &installer)
const std::string & | uuid () const
void | setUuid (const std::string &uuid)
const std::string & | version () const
void | setVersion (const std::string &version)
const bool & | installOnlyAtStartup () const
void | setInstallOnlyAtStartup (const bool &installOnlyAtStartup)
const std::string & | typeVersion () const
void | setTypeVersion (const std::string &typeVersion)
const std::string & | author () const
void | setAuthor (const std::string &author)
const std::string & | organization () const
void | setOrganization (const std::string &organization)
const std::string & | date () const
void | setDate (const std::string &date)
const std::string & | channel () const
void | setChannel (const std::string &channel)
const std::string & | path () const
void | setPath (const std::string &path)
const std::string & | name (const std::string &lang) const
const std::map< std::string, std::string > & | names () const
void | setName (const std::string &name, const std::string &lang)
void | clearNames ()
const std::list< std::string > & | supportedLanguages () const
void | addSupportedLanguage (const std::string &language)
void | removeSupportedLanguage (const std::string &language)
void | clearSupportedLanguages ()
const std::list< std::string > & | descriptionLanguages () const
void | addDescriptionLanguage (const std::string &language)
void | removeDescriptionLanguage (const std::string &language)
void | clearDescriptionLanguages ()
const std::string & | description (const std::string &lang) const
const std::map< std::string, std::string > & | descriptions () const
void | setDescription (const std::string description, const std::string &lang)
std::list< RobotRequirement > & | robotRequirements () const
void | addRobotRequirement (const RobotRequirement &requirement)
void | clearRobotRequirements ()
std::list< NaoqiRequirement > & | naoqiRequirements () const
void | addNaoqiRequirement (const NaoqiRequirement &requirement)
void | clearNaoqiRequirements ()
std::list< BehaviorInfo > & | behaviors ()
const std::list< BehaviorInfo > & | behaviors () const
void | addBehavior (const BehaviorInfo &behavior)
bool | hasBehavior () const
void | clearBehaviors ()
const std::list< DialogInfo > & | dialogs () const
void | addDialog (const DialogInfo &dialog)
void | clearDialogs ()
const std::list< LanguageInfo > & | languages () const
void | addLanguage (const LanguageInfo &language)
const std::list< PackageService > & | services () const
void | addService (const PackageService &service)
void | clearServices ()
const std::list< std::string > & | executableFiles () const
void | addExecutableFile (const std::string &executableFile)

## Public Attributes
PackageInfoPrivate * | _p

## Detailed Description

A class that represents a package.

Deprecated:
  Since 2.0.2.27, use PackageInfo2 instead.

Definition at line 131 of file package_info.hpp.

## Constructor & Destructor Documentation

qi::PackageInfo::PackageInfo | ( |  | ) |

qi::PackageInfo::PackageInfo | ( | const PackageInfo & | package | ) |

qi::PackageInfo::PackageInfo | ( | const PackageInfo2 & | package | ) |

qi::PackageInfo::~PackageInfo | ( |  | ) |

qi::PackageInfo::PackageInfo | ( | const AL::ALValue & | alvalue | ) |

## Member Function Documentation

void qi::PackageInfo::addBehavior | ( | const BehaviorInfo & | behavior | ) |

void qi::PackageInfo::addDescriptionLanguage | ( | const std::string & | language | ) |

void qi::PackageInfo::addDialog | ( | const DialogInfo & | dialog | ) |

void qi::PackageInfo::addExecutableFile | ( | const std::string & | executableFile | ) |

void qi::PackageInfo::addLanguage | ( | const LanguageInfo & | language | ) |

void qi::PackageInfo::addNaoqiRequirement | ( | const NaoqiRequirement & | requirement | ) |

void qi::PackageInfo::addRobotRequirement | ( | const RobotRequirement & | requirement | ) |

void qi::PackageInfo::addService | ( | const PackageService & | service | ) |

void qi::PackageInfo::addSupportedLanguage | ( | const std::string & | language | ) |

const std::string& qi::PackageInfo::author | ( |  | ) | const

std::list<BehaviorInfo>& qi::PackageInfo::behaviors | ( |  | ) |

const std::list<BehaviorInfo>& qi::PackageInfo::behaviors | ( |  | ) | const

const std::string& qi::PackageInfo::channel | ( |  | ) | const

void qi::PackageInfo::clearBehaviors | ( |  | ) |

void qi::PackageInfo::clearDescriptionLanguages | ( |  | ) |

void qi::PackageInfo::clearDialogs | ( |  | ) |

void qi::PackageInfo::clearNames | ( |  | ) |

void qi::PackageInfo::clearNaoqiRequirements | ( |  | ) |

void qi::PackageInfo::clearRobotRequirements | ( |  | ) |

void qi::PackageInfo::clearServices | ( |  | ) |

void qi::PackageInfo::clearSupportedLanguages | ( |  | ) |

const std::string& qi::PackageInfo::date | ( |  | ) | const

const std::string& qi::PackageInfo::description | ( | const std::string & | lang | ) | const

const std::list<std::string>& qi::PackageInfo::descriptionLanguages | ( |  | ) | const

const std::map<std::string, std::string>& qi::PackageInfo::descriptions | ( |  | ) | const

const std::list<DialogInfo>& qi::PackageInfo::dialogs | ( |  | ) | const

const std::list<std::string>& qi::PackageInfo::executableFiles | ( |  | ) | const

bool qi::PackageInfo::hasBehavior | ( |  | ) | const

const std::string& qi::PackageInfo::installer | ( |  | ) | const

const bool& qi::PackageInfo::installOnlyAtStartup | ( |  | ) | const

const std::list<LanguageInfo>& qi::PackageInfo::languages | ( |  | ) | const

bool qi::PackageInfo::loadFromManifestContent | ( | const std::string & | manifestContent | ) |

bool qi::PackageInfo::loadFromManifestFile | ( | const std::string & | filePath | ) |

bool qi::PackageInfo::loadFromManifestFile | ( | QFile & | file | ) |

const std::string& qi::PackageInfo::name | ( | const std::string & | lang | ) | const

const std::map<std::string, std::string>& qi::PackageInfo::names | ( |  | ) | const

std::list<NaoqiRequirement>& qi::PackageInfo::naoqiRequirements | ( |  | ) | const

PackageInfo qi::PackageInfo::operator= | ( | const PackageInfo & | package | ) |

const std::string& qi::PackageInfo::organization | ( |  | ) | const

const std::string& qi::PackageInfo::path | ( |  | ) | const

void qi::PackageInfo::removeDescriptionLanguage | ( | const std::string & | language | ) |

void qi::PackageInfo::removeSupportedLanguage | ( | const std::string & | language | ) |

std::list<RobotRequirement>& qi::PackageInfo::robotRequirements | ( |  | ) | const

std::string qi::PackageInfo::saveToManifestContent | ( |  | ) | const

bool qi::PackageInfo::saveToManifestFile | ( | const std::string & | filePath | ) | const

bool qi::PackageInfo::saveToManifestFile | ( | QFile & | file | ) | const

const std::list<PackageService>& qi::PackageInfo::services | ( |  | ) | const

void qi::PackageInfo::setAuthor | ( | const std::string & | author | ) |

void qi::PackageInfo::setChannel | ( | const std::string & | channel | ) |

void qi::PackageInfo::setDate | ( | const std::string & | date | ) |

void qi::PackageInfo::setDescription | ( | const std::string | description,
|  | const std::string & | lang
| ) |  |

void qi::PackageInfo::setInstaller | ( | const std::string & | installer | ) |

void qi::PackageInfo::setInstallOnlyAtStartup | ( | const bool & | installOnlyAtStartup | ) |

void qi::PackageInfo::setName | ( | const std::string & | name,
|  | const std::string & | lang
| ) |  |

void qi::PackageInfo::setOrganization | ( | const std::string & | organization | ) |

void qi::PackageInfo::setPath | ( | const std::string & | path | ) |

void qi::PackageInfo::setTypeVersion | ( | const std::string & | typeVersion | ) |

void qi::PackageInfo::setUuid | ( | const std::string & | uuid | ) |

void qi::PackageInfo::setVersion | ( | const std::string & | version | ) |

const std::list<std::string>& qi::PackageInfo::supportedLanguages | ( |  | ) | const

void qi::PackageInfo::toALValue | ( | AL::ALValue & | alvalue | ) |

void qi::PackageInfo::trimExtraInfo | ( |  | ) |

Removes names/descriptions/tags/trigger sentences... that do not match description/supported languages

const std::string& qi::PackageInfo::typeVersion | ( |  | ) | const

const std::string& qi::PackageInfo::uuid | ( |  | ) | const

const std::string& qi::PackageInfo::version | ( |  | ) | const

## Member Data Documentation

PackageInfoPrivate* qi::PackageInfo::_p

Definition at line 237 of file package_info.hpp.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/sdk/libqipackage/qipackage/package_info.hpp